Jump to content


Tank Model Exporter Utility

editor modding mesh editing

  • Please log in to reply
324 replies to this topic

Coffee_ #321 Posted Oct 10 2018 - 15:55

    First lieutenant

  • Players
  • 43282 battles
  • 525
  • Member since:
    06-17-2011

Version 69 fixes the camouflage issue introduced by client 1.2.0.0.

 



Coffee_ #322 Posted Oct 11 2018 - 15:25

    First lieutenant

  • Players
  • 43282 battles
  • 525
  • Member since:
    06-17-2011

Version 70 fixes a bug with the Skorpion's def file being non-consistent.

 



Coffee_ #323 Posted Oct 17 2018 - 07:24

    First lieutenant

  • Players
  • 43282 battles
  • 525
  • Member since:
    06-17-2011

Version 71:
This fixes a long time issue with importing FBX files with UV vertice counts larger than geometry vertice counts.

Texture seams cause problems when rendering or writing the primitive if the vertices are not split based on UV mapping.
The down side to this new FBX reading method is, it requires repacking the vertices and indices back in to indexed lists.
This takes time and you will see it when you write out a primitive. The code is not horribly slow but is worth the fix to UV map seams.

 

Here is an example of a UV map that can cause a bad primitive write.
The unwrapped main section of the skull needs 2 geometry vertices where the UVs are split off.
Spoiler

 



Coffee_ #324 Posted Oct 17 2018 - 22:26

    First lieutenant

  • Players
  • 43282 battles
  • 525
  • Member since:
    06-17-2011

Version 72:
This adds a check box to the extraction screen to extract the tanks item_Def file from the scripts.pkg.
Also... It fixes a bug of items not being found in the shared_content_build file I create for searching for data.



Coffee_ #325 Posted Oct 18 2018 - 03:07

    First lieutenant

  • Players
  • 43282 battles
  • 525
  • Member since:
    06-17-2011

There was a issue with version 72 I fixed and uploaded it again to GitHub.
If the game is crashing after extracting a tanks item_def file, uninstall version 72, download it again from GitHub and install it.

That will fix the issue.






1 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users